DS_REMOVE_UNIQUE_NAMED_ELEMENT(3)

EXPERIMENTAL_FUNC
ds_remove_unique_named_element - Remove a unique named element from a Karma general data structure

SYNOPSIS
#include <karma_ds.h>

flag ds_remove_unique_named_element

(packet_desc *pack_desc, char **packet, CONST char *name, flag tolerant)

DESCRIPTION
Remove a unique named element from a Karma general data structure

pack_desc
    The packet descriptor to remove the name from. This descriptor will be modified.

packet
    The pointer to the unique packet. Note that the existing packet data is copied to a new packet, and a pointer to this packet is written back here.

name
    The name of the element.

tolerant
    If TRUE, no error is generated if the element is missing.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/